using System;
using System.Collections;
using System.Configuration;
using System.Collections.Generic;
using System.Data;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;

using core.BusinessLogicLayer;
using core.BusinessObject;
using Paper.BusinessLogicLayer;

public partial class Data_Core_PaperInfo : System.Web.UI.Page
{
    public string JSON = "";

    protected void Page_Load(object sender, EventArgs e)
    {
        string method = Request.Params["cmd"];
        if ("GetCourse".Equals(method))
        {
            GetCourse();
        }
        else if ("GetTeacher".Equals(method))
        {
            GetTeacher();
        }
        else if ("GetSpecialty".Equals(method))
        {
            GetSpecialty();
        }
        else if ("GetThemeType".Equals(method))
        {
            GetThemeType();
        }
        else if ("GetDifficultFactor".Equals(method))
        {
            GetDifficultFactor();
        }
        else if ("GetCourseChapter".Equals(method))
        {
            GetCourseChapter();
        }
    }

    public void GetCourse()
    {
        PaperManager pm = new PaperManager();
        JSON  = pm.SelectCourseName();
    }

    public void GetTeacher()
    {
        PaperManager pm = new PaperManager();
        JSON = pm.SelectTeacherName();
    }

    public void GetSpecialty()
    {
        SpecialtyManager sm = new SpecialtyManager();
        JSON = sm.GetAllSpecialty();
    }

    public void GetThemeType()
    {
        PaperManager pm = new PaperManager();
        JSON = pm.selectThemeType();
    }

    public void GetDifficultFactor()
    {
        PaperManager pm = new PaperManager();
        JSON = pm.selectDifficultFactor();
    }

    public void GetCourseChapter()
    {
        PaperManager pm = new PaperManager();
        JSON = pm.selectCourseChapter();
    }
}
